
Figure - Bug #118219
【IOVDEV-30176】【内部】【VC1】【0072】【台架】【EE环境】【副屏】弹幕不展示白名单应用的企业微
信非音频通话消息
2023-05-24 21:24 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.C103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-31

Test Type: ST Root cause: 通知弹幕内容获取兼容性问题。

Description

【环境信息】EE环境

【问题出现时间】：2023-05-24 13:44

【开机次数】：第171次

【前提条件】：副屏上电，企业微信已登录，-设置页面

【问题操作步骤】：

1. 进入设置页

2.搜索游戏模式模式并点击开启

3.点击防打扰设置

4.点击音视频语音

5.开启屏蔽通话

6.打开游戏界面

7.企业微信非音频通话信息介入（发送字符）

【实际结果】：无弹幕提示 页面无变化

【期望结果】：弹幕展示企业微信字符内容通知信息

【备注】：应用通知都已开启，重复测试也没有信息展示

台架Log地址：https://ofs.human-horizons.com/#/download/index/2XL87IzKoek%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/4JNc82iUZdk%3D

【影响版本】：副屏：01.00.0095.C103

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-24 21:58 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

Hi 诗雨

tlog_iov0201017500006162025411a2212290000000911_000171_0524143315.tar.gz
客户提供的是实时日志，时间是14点之后的

需要抓下历史日志，问题发生时间是2023-05-24 13:35(视频中可看见) 

同时也已飞书联系

另外我们研发也会试下是否可以复现该问题

这个大概率是企业微信本身就没有发送通知，可能与企业微信的登录方式有关

#2 - 2023-05-25 17:46 - CDTS_Test 吴诗雨

已同步

#3 - 2023-05-30 15:23 - 物联网测试组_TSCD 王维

- File tlog_iov0201017500006162025411a2212290000000911_000219_0530100300.tar.gz added

- File tlog_iov0201017500006162025411a2212290000000911_000219_0530101057.tar.gz added

- File 5.30.10：00弹幕不显示企业微信非音频通话消息219次.mp4 added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

#4 - 2023-05-30 19:46 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_TSCD 王维

Hi 王维

5.30.10：00弹幕不显示企业微信非音频通话消息219次.mp4

根据提供的视频可知，问题发生时间为: 10:01:00 ~ 10:01:40

tlog_iov0201017500006162025411a2212290000000911_000219_0530100300.tar.gz

提供的为实时日志，最早的时间是:05-30 10:01:58, 这个是问题发生之后的日志

tlog_iov0201017500006162025411a2212290000000911_000219_0530101057.tar.gz

提供的为实时日志，其中logcat目录是空的，没有抓到日志

请帮忙重新取下日志，以防有没有获取到，请直接抓历史日志，谢谢

另外，如果客户那边日志获取效率不高，能否考虑我们这边自己的测试同学帮助复现抓日志，谢谢

已飞书同步联系

#5 - 2023-05-31 09:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203634 general/platform/vendor/thundercom
m/apps/GameMode -dev

AF:GameMode: Fix WeCom notification not show in bullet screen problem.TC-RID: 1201-0204808IssueID: TS-R-BUG-118219Change-Id:

I9894754e10ccd427ba8f837bb848359342baef32

#6 - 2023-05-31 09:49 - CD FW-廖涛

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from 物联网测试组_TSCD 王维 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Need_Info changed from TEST to --

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-31

- Root cause set to 通知弹幕内容获取兼容性问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

通知弹幕内容获取兼容性问题。企业微信通知内容带格式，之前的获取方式不兼容导致没有获取到内容，所以没有显示。

■ Next action

测试验证。

#7 - 2023-06-02 17:58 - CDTS_Test 吴诗雨

本地验证通过，jira状态已同步

#8 - 2023-06-02 18:20 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-02 18:20 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

5.24-13：44弹幕不展示白名单应用的企业微信非音频消息.mp4 25.6 MB 2023-05-24 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000911_000171_0524143315.tar.gz 10 MB 2023-05-24 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000911_000219_0530100300.tar.gz7.32 MB 2023-05-30 物联网测试组_TSCD 王维

tlog_iov0201017500006162025411a2212290000000911_000219_0530101057.tar.gz6.77 MB 2023-05-30 物联网测试组_TSCD 王维

5.30.10：00弹幕不显示企业微信非音频通话消息219次.mp4 15.2 MB 2023-05-30 物联网测试组_TSCD 王维
